> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangopay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# View a Banking Alias

<Warning>
  **Deprecated – Decommissioning planned Q3 2026**

  Mangopay plans to decommission the Banking Alias endpoints in Q3 2026.

  Platforms using them should plan to re-integrate using the [Virtual Account](/api-reference/virtual-accounts/virtual-account-object) endpoints.

  Existing Banking Alias objects are available via the [GET View a Virtual Account](/api-reference/virtual-accounts/view-virtual-account) endpoint by using the Banking Alias `Id` and `WalletId` as path parameters.
</Warning>

<Note>
  **Note - Payee confirmation in the UK**

  When the user sets up the payee with their bank, Mangopay UK or Mangopay SA is displayed as the account holder name. You should communicate this to them to avoid confusion.
</Note>

### Query parameters

<ParamField query="BankingAliasId" type="string" required>
  The unique identifier of the banking alias.
</ParamField>

### Responses

<AccordionGroup>
  <Accordion title="200 - FR" defaultOpen>
    <ResponseField name="OwnerName" type="string">
      Max. length: 255 characters

      The owner of the banking alias, which is set automatically by Mangopay since September 15, 2025 ([read more](/guides/vop/payins#banking-alias-categorization)).

      If the User owning the attached wallet has `UserCategory` of `OWNER` and the `KYCLevel` of `REGULAR`, then the `OwnerName` is set to the `FirstName` and `LastName` values for a [Natural User](/api-reference/users/natural-user-object-sca) or the `Name` value for a [Legal User](/api-reference/users/legal-user-object-sca). In this case, the `VirtualAccountPurpose` in the API response is `USER_OWNED`.

      If the User is not KYC verified and an `OWNER`, then the `OwnerName` is set to “MGP `PlatformTradingName`" in standard cases, or else “Mangopay” for Marketplace Payment Extension (MPE) workflows. In this case, the `VirtualAccountPurpose` in the API response is `COLLECTION`.

      **Caution:** Your platform must ensure that you use the `OwnerName` returned in the API response.
    </ResponseField>

    <ResponseField name="IBAN" type="string">
      The IBAN (international bank account number) of the banking alias.
    </ResponseField>

    <ResponseField name="BIC" type="string">
      The BIC (international identifier of the bank) for the banking alias.
    </ResponseField>

    <ResponseField name="VirtualAccountPurpose" type="string">
      **Returned values:** `COLLECTION`, `USER_OWNED`

      The type of the virtual account:

      * `COLLECTION` - Owned by Mangopay and usable by platforms and/or users for the purpose of collecting and reconciling incoming funds paid by users.
      * `USER_OWNED` - Owned by the wallet owner, enabling them to accept and store funds and make payments. Offering User-Owned Accounts requires your platform to sign the [VOP](/guides/vop) contract amendment.

      For more information, see the [virtual account](/guides/payment-methods/banking/virtual-iban) guide.
    </ResponseField>

    <ResponseField name="CreditedUserId" type="string">
      The unique identifier of the user whose wallet is credited, in other words, the Owner of the wallet for which the alias is created.\
      Note: Once the banking alias is created, it is not possible to change the `CreditedUserId`.
    </ResponseField>

    <ResponseField name="Country" type="string">
      **Returned values:** DE, DK, ES, FR, GB, LU, PL

      The country of the banking alias. The country must correspond to the currency of the wallet.
    </ResponseField>

    <ResponseField name="Tag" type="string">
      Max. length: 255 characters

      Custom data that you can add to this object.
    </ResponseField>

    <ResponseField name="CreationDate" type="Unix timestamp">
      The date and time at which the object was created.
    </ResponseField>

    <ResponseField name="Active" type="boolean">
      Whether or not the banking alias is active.

      **Caution:** Setting this value to `false` is irreversible.
    </ResponseField>

    <ResponseField name="Type" type="string">
      **Returned values:** `IBAN`, `GB`

      The type of banking alias.

      The `GB` value is only returned if the `Country` is `GB`.
    </ResponseField>

    <ResponseField name="Id" type="string">
      Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details)

      The unique identifier of the object.
    </ResponseField>

    <ResponseField name="WalletId" type="string">
      The unique identifier of the wallet.
    </ResponseField>
  </Accordion>

  <Accordion title="200 - GB">
    <ResponseField name="OwnerName" type="string">
      Max. length: 255 characters

      The owner of the banking alias, which is set automatically by Mangopay since September 15, 2025 ([read more](/guides/vop/payins#banking-alias-categorization)).

      If the User owning the attached wallet has `UserCategory` of `OWNER` and the `KYCLevel` of `REGULAR`, then the `OwnerName` is set to the `FirstName` and `LastName` values for a [Natural User](/api-reference/users/natural-user-object-sca) or the `Name` value for a [Legal User](/api-reference/users/legal-user-object-sca). In this case, the `VirtualAccountPurpose` in the API response is `USER_OWNED`.

      If the User is not KYC verified and an `OWNER`, then the `OwnerName` is set to “MGP `PlatformTradingName`" in standard cases, or else “Mangopay” for Marketplace Payment Extension (MPE) workflows. In this case, the `VirtualAccountPurpose` in the API response is `COLLECTION`.

      **Caution:** Your platform must ensure that you use the `OwnerName` returned in the API response.
    </ResponseField>

    <ResponseField name="IBAN" type="string">
      The IBAN (international bank account number) of the banking alias.
    </ResponseField>

    <ResponseField name="BIC" type="string">
      The BIC (international identifier of the bank) for the banking alias.
    </ResponseField>

    <ResponseField name="VirtualAccountPurpose" type="string">
      **Returned values:** `COLLECTION`, `USER_OWNED`

      The type of the virtual account:

      * `COLLECTION` - Owned by Mangopay and usable by platforms and/or users for the purpose of collecting and reconciling incoming funds paid by users.
      * `USER_OWNED` - Owned by the wallet owner, enabling them to accept and store funds and make payments. Offering User-Owned Accounts requires your platform to sign the [VOP](/guides/vop) contract amendment.

      For more information, see the [virtual account](/guides/payment-methods/banking/virtual-iban) guide.
    </ResponseField>

    <ResponseField name="LocalAccountDetails" type="object">
      The banking alias details in local format returned if applicable for the `Country` (e.g. `GB`), otherwise `null`

      <Expandable>
        <ResponseField name="SortCode" type="string">
          The sort code of the banking alias in local format.
        </ResponseField>

        <ResponseField name="AccountNumber" type="string">
          The account number of the banking alias in local format.
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="CreditedUserId" type="string">
      The unique identifier of the user whose wallet is credited, in other words, the Owner of the wallet for which the alias is created.\
      Note: Once the banking alias is created, it is not possible to change the `CreditedUserId`.
    </ResponseField>

    <ResponseField name="Country" type="string">
      **Returned values:** DE, DK, ES, FR, GB, LU, PL

      The country of the banking alias. The country must correspond to the currency of the wallet.
    </ResponseField>

    <ResponseField name="Tag" type="string">
      Max. length: 255 characters

      Custom data that you can add to this object.
    </ResponseField>

    <ResponseField name="CreationDate" type="Unix timestamp">
      The date and time at which the object was created.
    </ResponseField>

    <ResponseField name="Active" type="boolean">
      Whether or not the banking alias is active.

      **Caution:** Setting this value to `false` is irreversible.
    </ResponseField>

    <ResponseField name="Type" type="string">
      **Returned values:** `IBAN`, `GB`

      The type of banking alias.

      The `GB` value is only returned if the `Country` is `GB`.
    </ResponseField>

    <ResponseField name="Id" type="string">
      Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details)

      The unique identifier of the object.
    </ResponseField>

    <ResponseField name="WalletId" type="string">
      The unique identifier of the wallet.
    </ResponseField>
  </Accordion>
</AccordionGroup>

<ResponseExample>
  ```json 200 - FR theme={null}
  {
      "OwnerName": "Alex Smith",
      "IBAN": "FR7674521100005657670994474",
      "BIC": "MPAYFRP1PIN",
      "VirtualAccountPurposeResponse": "USER_OWNED",
      "CreditedUserId": "user_m_01HSB23417BFG7YXR7E371JSEA",
      "Country": "FR",
      "Tag": "Created using Mangopay API Postman Collection",
      "CreationDate": 1710846581,
      "Active": true,
      "Type": "IBAN",
      "Id": "wltbank_m_01HSB6E769Y3ZBYDJACSP3THGA",
      "WalletId": "wlt_m_01HSB6DE1YT1EMTH0K7ASYPG96"
  }
  ```

  ```json 200 - GB theme={null}
  {
      "OwnerName": "MGP PlatformTradingName",
      "IBAN": "GB78SAPY60838221394585",
      "BIC": null,
      "VirtualAccountPurposeResponse": "COLLECTION",
      "LocalAccountDetails": {
          "SortCode": "608382",
          "AccountNumber": "21394585"
      },
      "CreditedUserId": "user_m_01JADFDBCZS25REHAF6M0NJH5G",
      "Country": "GB",
      "Tag": "Created using Mangopay API Postman Collection",
      "CreationDate": 1730883439,
      "Active": true,
      "Type": "GB",
      "Id": "wltbank_01JC0B2JH632KTAGSM0ZBJYG7Q",
      "WalletId": "wlt_m_01JC0B1VZA7YG1J4YC21E60PZM"
  }
  ```
</ResponseExample>

<RequestExample>
  ```php PHP theme={null}
  <?php 

  require_once 'vendor/autoload.php';

  use MangoPay\MangoPayApi;
  use MangoPay\Libraries\ResponseException as MGPResponseException;
  use MangoPay\Libraries\Exception as MGPException;

  $api = new MangoPayApi();

  $api->Config->ClientId = 'your-client-id';
  $api->Config->ClientPassword = 'your-api-key';
  $api->Config->TemporaryFolder = 'tmp/';

  try {
      $bankingAliasId = '157608228';

      $response = $api->BankingAliases->Get($bankingAliasId);

      print_r($response);
  } catch(MGPResponseException $e) {
      print_r($e);
  } catch(MGPException $e) {
      print_r($e);
  }  
  ```

  ```javascript NodeJS   theme={null}
  const mangopayInstance = require('mangopay4-nodejs-sdk')
  const mangopay = new mangopayInstance({
    clientId: 'your-client-id',
    clientApiKey: 'your-api-key',
  })

  let bankingAlias = {
    Id: '172463615',
  }

  const getBankingAlias = async (bankingAliasId) => {
    return await mangopay.BankingAliases.get(bankingAliasId)
      .then((response) => {
        console.info(response)
        return response
      })
      .catch((err) => {
        console.log(err)
        return false
      })
  }

  getBankingAlias(bankingAlias.Id)  
  ```

  ```ruby Ruby   theme={null}
  require 'mangopay'

  MangoPay.configure do |client|
      client.preproduction = true
      client.client_id = 'your-client-id'
      client.client_apiKey = 'your-api-key'
      client.log_file = File.join(Dir.pwd, 'mangopay.log')
  end

  def viewBankingAlias(bankingAliasId)
      begin
          response = MangoPay::BankingAliases.fetch(bankingAliasId)
          puts response
          return response
      rescue MangoPay::ResponseError => error
          puts "Failed to fetch banking alias: #{error.message}"
          puts "Error details: #{error.details}"
          return false
      end
  end


  myBankingAlias = {
    Id: '157608228'
  }

  viewBankingAlias(myBankingAlias[:Id])  
  ```

  ```java Java  theme={null}
  import com.google.gson.Gson;
  import com.google.gson.GsonBuilder;
  import com.mangopay.MangoPayApi;
  import com.mangopay.entities.BankingAlias;

  public class ViewBankingAlias {
      public static void main(String[] args) throws Exception {
          MangoPayApi mangopay = new MangoPayApi();
          mangopay.getConfig().setClientId("your-client-id");
          mangopay.getConfig().setClientPassword("your-api-key");

          BankingAlias bankingAlias = mangopay.getBankingAliases().get("wltbank_m_01HTHTXVG59ATHA89ZHG2CKADA");

          Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
          String prettyJson = prettyPrint.toJson(bankingAlias);

          System.out.println(prettyJson);
      }
  }
  ```

  ```csharp .NET  theme={null}
  using MangoPay.SDK;
  using MangoPay.SDK.Entities.PUT;
  using Newtonsoft.Json;

  class Program
  {
      static async Task Main(string[] args)
      {
          MangoPayApi api = new MangoPayApi();

          api.Config.ClientId = "your-client-id";
          api.Config.ClientPassword = "your-api-key";

          var bankingAliasId = "wltbank_m_01J3CZJSQW4V3BGHGTNM34EA1P";

          var viewBankingAlias = await api.BankingAlias.GetAsync(bankingAliasId);

          string prettyPrint = JsonConvert.SerializeObject(viewBankingAlias, Formatting.Indented);
          Console.WriteLine(prettyPrint);
      }
  }
  ```
</RequestExample>
